# Python imports

# Lib imports
import gi
gi.require_version('Gtk', '3.0')
from gi.repository import Gtk

# Application imports
from .pages_tab_widget import PagesTabWidget



class Page(Gtk.ScrolledWindow):
    def __init__(self, close_tab):
        super(Page, self).__init__()

        self._close_tab   = close_tab
        self._tab_widget  = PagesTabWidget(self, self._close_tab)

        self._setup_styling()
        self._setup_signals()
        self._subscribe_to_events()
        self._load_widgets()


    def _setup_styling(self):
        ...

    def _setup_signals(self):
        ...

    def _subscribe_to_events(self):
        # event_system.subscribe("handle_file_from_ipc", self.handle_file_from_ipc)
        ...

    def _load_widgets(self):
        viewport = Gtk.Viewport()
        viewport.set_vexpand(True)
        viewport.set_hexpand(True)

        fixed = Gtk.Fixed()
        viewport.add(fixed)

        self.add(viewport)

    def get_tab_widget(self):
        return self._tab_widget
