# Python imports

# Lib imports
import gi
gi.require_version('Gtk', '3.0')
from gi.repository import Gtk

# Application imports
from ..pages.pages_widget import Pages



class Sections(Gtk.Notebook):
    def __init__(self):
        super(Sections, self).__init__()

        self._setup_styling()
        self._setup_signals()
        self._load_widgets()

        self.show_all()


    def _setup_styling(self):
        ...

    def _setup_signals(self):
        ...

    def _load_widgets(self):
        self.create_view()
        ...

    def create_view(self, widget = None, eve = None, gfile = None):
        pages    =  Pages(self.close_tab)
        page_num = self.append_page(pages, pages.get_tab_widget())

        self.set_tab_detachable(pages, True)
        self.set_tab_reorderable(pages, True)

        self.show_all()
        self.set_current_page(page_num)

    def close_tab(self, button, pages, eve = None):
        page_num = self.page_num(pages)
        self.remove_page(page_num)
